<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.0
 *
 * Copyright (C) 2006-2014  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], "inc.php");
if ($pos === FALSE)
    $ok_inc = TRUE;
else
    $ok_inc = FALSE;
if ($ok_inc == FALSE) header("Location: ../index.php");

include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_droits.inc.php");
include_once("../inc/fic_fici.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_tac.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/lst.inc.php");
include_once("../classes/ezSQL/shared/ez_sql_core.php");
include_once("../classes/ezSQL/mysqli/ez_sql_mysqli.php");
include_once("../inc/func_sql.inc.php");
Archivelog(@$_SESSION["code_log"]);

$_SESSION['tab_tec_sel'] = [];
$_SESSION['tab_sites_sel'] = [];

$pbm_pr = FALSE;

switch (@$_SESSION["niv_log"]) {
    case 3 :
        $url_planning = 'plan_maj.php?typd=1&coded=' . @$_SESSION["code_log"] . '&typr=-1&tx=mnu&from=mnu';
        if (last_id_tecpr($_SESSION["code_log"]) == 0)
            $pbm_pr = TRUE;
        break;
    case 4 :
        $url_planning = 'plan_maj.php?typd=2&coded=' . @$_SESSION["code_log"] . '&typr=-1&tx=mnu&from=mnu';
        break;
}
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>

        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?PHP echo _("ESPACE PRIVE"); ?> : <?PHP echo _("Planning"); ?></title>

        <?PHP include_once("../inc/header.inc.php"); ?>

        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                init_fensaisie('pop_plan', 1020, 760);
                Focus_first();
                <?PHP
                if ($pbm_pr == FALSE)
                    echo '$(\'#pop_plan\').trigger("click");';
                else
                    echo "warn_txt('"._("Horaires de travail non saisis")."');";
                ?>
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>


    </head>

<body>

<?php
include_once("../inc/entete.inc.php");
?>
<p align="center"><span class="titrepage"><?PHP echo _("PLANNING"); ?></span><br /></p>
<br /><br />
<div align="center">
    <?PHP
    if ($pbm_pr == TRUE)
        echo _("Pour tout de même entrer dans le planning");
    else
        echo _("Si le planning ne s'ouvre pas automatiquement, ");
    cre_falselnk('', 'pop_plan', 'span', '', _("cliquez ici"), $url_planning, '', _("cliquez ici"));
    ?>
</div>
<?PHP
include_once("pied.php");
?>